
From: Andrew Morton <akpm@osdl.org>

Cc: Alexey Dobriyan <adobriyan@gmail.com>
Cc: <teigland@redhat.com>
Cc: <pcaulfie@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/dlm/device.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/dlm/device.c~dlm-device-interface-fix drivers/dlm/device.c
--- 25/drivers/dlm/device.c~dlm-device-interface-fix	Tue May 17 15:30:07 2005
+++ 25-akpm/drivers/dlm/device.c	Tue May 17 15:30:51 2005
@@ -157,7 +157,7 @@ static struct lock_info *get_lockinfo(ui
 
 	read_lock(&lockinfo_lock);
 	li = idr_find(&lockinfo_idr, lockid);
-	read_lock(&lockinfo_lock);
+	read_unlock(&lockinfo_lock);
 
 	return li;
 }
@@ -1103,7 +1103,8 @@ int __init dlm_device_init(void)
 
 	r = misc_register(&ctl_device);
 	if (r) {
-		printk(KERN_ERR "dlm: misc_register failed for control device");
+		printk(KERN_ERR "dlm: misc_register failed for control "
+				"device\n");
 		return r;
 	}
 
@@ -1121,4 +1122,3 @@ MODULE_LICENSE("GPL");
 
 module_init(dlm_device_init);
 module_exit(dlm_device_exit);
-
_
